Summary: The Freeciv multi-player strategy game.
Name:		freeciv
Version:	1.12.0
Release:        1
Source:		ftp://freeciv.org/stable_version/%{name}-%{version}.tar.bz2
Source1:	freeciv-desktop.tar.bz2
Patch:		freeciv-gcc296.patch
Patch2:         freeciv-desktop.patch
Patch3:		freeciv-desktop-xauth.patch
Patch5:		freeciv-1.12.0-spelling.patch
License:	GPL
Group: Amusements/Games
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:	Xaw3d-devel >= 1.5-5 gtk+-devel >= 1.2.8-1 imlib-devel

%description
Freeciv is a turn-based, multi-player, X based strategy game. Freeciv
is generally comparable to, and has compatible rules with, the
Civilization II(R) game by Microprose(R). In Freeciv, each player is
the leader of a civilization, and is competing with the other players
in order to become the leader of the greatest civilization.

%prep
%setup -a 1
%patch -p1 -b .gcc296
%patch2 -p1 -b .desktop
%patch3 -p0 -b .xauth
%patch5 -p1 -b .spelling

# Rebuild makefiles after patching them...
find client -name Makefile.in |xargs rm -f
aclocal
autoheader
automake -a -i
autoconf

%build
export OLD_PO_FILE_INPUT=yes
%configure --with-xaw3d \
	   --with-gtk-prefix=/usr --with-glib-prefix=/usr \
	   --enable-debug=no
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
chmod +x desktop/*wrapper
cp desktop/*wrapper $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games $RPM_BUILD_ROOT/usr/share/pixmaps
cp desktop/*.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Games
cp desktop/*.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

pushd client
perl -p -i -e "s/CFLAGS = $RPM_OPT_FLAGS/CFLAGS = $RPM_OPT_FLAGS \`gtk-config --cflags\`/" gui-gtk/Makefile
make clean
for i in 0 1 2 3 4 5 6 7 8 9 10; do
  perl -p -i -e "s/gui-xaw/gui-gtk/" Makefile
  perl -p -i -e "s|-I/usr/X11R6/include|\`glib-config --cflags\` \`gtk-config --cflags\` \`imlib-config --cflags-gdk\` -I/usr/X11R6/include|" Makefile 
  perl -p -i -e "s|-lXaw3d|\`glib-config --libs\` \`gtk-config --libs\` \`imlib-config --libs-gdk\`|" Makefile
done
make
cp civclient $RPM_BUILD_ROOT/usr/bin/civclient-gtk
popd

/usr/bin/install -c civ  $RPM_BUILD_ROOT/usr/bin/civ

/usr/bin/install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mv $RPM_BUILD_ROOT/usr/share/freeciv/Freeciv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Freeciv

mv $RPM_BUILD_ROOT/usr/bin/civclient $RPM_BUILD_ROOT/usr/bin/civclient-xaw
ln -sf civclient-gtk $RPM_BUILD_ROOT/usr/bin/civclient

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr(-,root,root)
%config /etc/X11/applnk/Games/*
%config /usr/X11R6/lib/X11/app-defaults/Freeciv
/usr/bin/*
/usr/share/freeciv
/usr/share/pixmaps/*


%changelog
* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.12.0-1
- 1.12.0 (non-beta)

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.11.4-9
- Rebuild - the fix for #49442 didn't seem to get in last time.

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.11.4-8
- Fix up demographics (#50119)

* Wed Jun 27 2001 Than Ngo <than@redhat.com>
- support new gettext
- add patch to build against new libtool

* Tue Mar 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use gtk-config instead of glib-config

* Sun Feb 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up civclient-wrapper so it doesn't fail silently when started as
  potentially harmful user (Bug #28928)

* Tue Aug  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix warning in civclient-wrapper (Bug 14860)

* Fri Jul 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 1.11.4
- move to /usr/bin and /usr/share/freeciv (no more /usr/games)

* Wed Jul 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove icon, glint is obsoleted
- don't use find to build file lists, it claimed to own
  lots of directories
- use %%{_tmppath}

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.11.0 (Bug #13610)
- Add .desktop files (Bug #13610)
- Add BuildPrereq: lines
- fix build

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to dist
- update
- clean up the spec file
- fix build with gcc 2.96
- make the gtk client default; it's better than the Xaw one by now.

* Thu Feb 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.10.0

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.9.2
- use the configure macro

* Sun Nov  7 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- redo RPM for 1.9.0 (many changes to build/install procedure)
